Skip to content

Update Channel

PATCH /channels/{channel_id}
NameInTypeNotes
channel_idpathstring (uuid)required—
FieldTypeNotes
agent_idstring (uuid) | nulloptional—
persona_idstring (uuid) | nulloptional—
configobject | nulloptional—
coalescingobject | nulloptional—
is_activeboolean | nulloptional—
StatusDescriptionBody
200Successful ResponseChannelView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/channels/{channel_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
workspace_idstring (uuid)required—
type_namestringrequired—
agent_idstring (uuid)required—
persona_idstring (uuid) | nullrequired, nullable—
slugstringrequired—
configobjectrequired—
coalescingobjectrequired—
is_activebooleanrequired—
provision_errorstring | nulloptional—
inbound_urlstring | nulloptional—
created_atstring (date-time)required—
updated_atstring (date-time)required—